| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Attributes
Tp::RTPHeaderExtension Struct Reference
Structure types

`#include <TelepathyQt/Types>`

List of all members.

## Public Attributes

- uint ID
- uint direction
- QString URI
- QString parameters

## Detailed Description

Structure type generated from the specification.

A struct defining a RTP Header extension.

## Member Data Documentation

uint Tp::RTPHeaderExtension::ID

Identifier to be negotiated.

uint Tp::RTPHeaderExtension::direction

Direction in which the Header Extension is negotiated.

QString Tp::RTPHeaderExtension::URI

URI defining the extension.

QString Tp::RTPHeaderExtension::parameters

Feedback parameters as a string. Format is defined in the relevant RFC.